Name:           perl-Gtk2-Spell
Version:        1.03
Release:        14%{?dist}
Summary:        Gtk2::Spell perl module

Group:     Development/Libraries
License:   LGPLv2+
URL:       http://search.cpan.org/dist/Gtk2-Spell/
Source0:   http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Gtk2-Spell-%{version}.tar.gz
Patch0:    Gtk2-Spell-1.03.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, perl(Gtk2), perl(Glib), perl(ExtUtils::Depends)
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(ExtUtils::PkgConfig), gtkspell-devel
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl bindings to GtkSpell, used in concert with Gtk2::TextView. Provides
mis-spelled word highlighting in red and offers a right click pop-up menu with
suggested corrections.

%prep
%setup -q -n Gtk2-Spell-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
# We do not run make test, as it requires an active X11-session.  I rather
# suspect this won't work under mock/plague :)
#make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README gtkspell_simple.pl AUTHORS LICENSE ChangeLog 
%{perl_vendorarch}/auto/Gtk2/*
%{perl_vendorarch}/Gtk2/*
%{_mandir}/man3/*.3*


%changelog
* Wed May 12 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.03-14
- Add Gtk2-Spell-1.03.diff (Change requirements to fix perl-5.12.0 
  build breakdown).

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.03-13
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.03-12
- rebuild against perl 5.10.1

* Wed Aug 05 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.03-11
- Fix mass rebuild breakdown: Add BR: perl(Glib::MakeHelper).

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.03-8
- rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.03-7
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.03-6
- bump

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.03-5
- bump for mass rebuild

* Sat Feb 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.03-4
- fixups per #5

* Thu Feb 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.03-1
- fixups, initial spec

